com.informix.jdbc

## Class IfxLvarchar

- java.lang.Object
- - com.informix.jdbc.IfxObject
  - - com.informix.jdbc.IfxVarChar
    - - com.informix.jdbc.IfxLvarchar

Direct Known Subclasses:
  IfxImpExp, IfxJSON

    public class IfxLvarchar
    extends IfxVarChar

Support for Varchar datatypes. This class derived from IfxObject class.

### Field Summary

Fields
`protected java.lang.String` `defaultEncoding`

### Fields inherited from class com.informix.jdbc.IfxVarChar

`value`

### Fields inherited from class com.informix.jdbc.IfxObject

`conn, encodedLength, extendedID, extendedName, extendedOwner, ifxType, isNull, jdbcType, sourceType, trace, typeMap, used_in_update`

### Constructor Summary

Constructors
Constructor and Description
`IfxLvarchar(java.lang.String str)`

### Method Summary

Methods
`void` `fromBytes(byte[] str)`
`void` `fromIfx(byte[] b)` Set value of this data type to the given Informix network format
`void` `fromIfx(byte[] b, int offset, int length)` Set value of this data type to the given Informix network format
`void` `fromIfx(byte[] b, int offset, int length, java.lang.String dbEnc)` Set value of this data type to the given Informix network format
`void` `fromIfx(byte[] b, java.lang.String dbEnc)` Set value of this data type to the given Informix network format
`void` `fromString(java.lang.String str)` Convert value from a String type
`void` `fromString(java.lang.String str, boolean trimString)`
`byte[]` `toBytes()`
`byte[]` `toIfx()` Convert value to Informix network format
`byte[]` `toIfxTuple()` Convert value to Informix tuple format
`java.lang.Object` `toObject(boolean notused)`

### Methods inherited from class com.informix.jdbc.IfxVarChar

`equals, fromAsciiStream, fromAsciiStream, fromBigDecimal, fromBoolean, fromBoolean, fromByte, fromByte, fromCharacterStream, fromCharacterStream, fromDate, fromDecimal, fromDouble, fromDouble, fromFloat, fromFloat, fromInputStream, fromInputStream, fromInt, fromInt, fromLong, fromLong, fromShort, fromShort, fromTime, fromTimestamp, toAsciiStream, toBoolean, toByte, toCharacterStream, toDate, toDecimal, toDouble, toFloat, toInputStream, toInt, toLong, toObject, toShort, toString, toTime, toTimestamp`

### Methods inherited from class com.informix.jdbc.IfxObject

`clear, clearWarning, fromBinaryStream, fromBinaryStream, fromBlob, fromClob, fromDecimal, fromIfx, fromIfx, fromIntervalDF, fromIntervalYM, fromNClob, fromObject, fromObject, fromObject, fromRowId, fromSQLXML, get_used_in_update, getEncodedLength, getWarning, isNull, nullify, set_used_in_update, setConnection, setExtendedTypeName, setIfxType, setTypeMap, toBinaryStream, toBlob, toClob, toIfxBSONObject, toInterval, toIntervalDF, toIntervalYM, toNClob, toRowId, toSQLXML, toUnloadString, unnullify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### defaultEncoding

    protected java.lang.String defaultEncoding

### Constructor Detail

#### IfxLvarchar

    public IfxLvarchar(java.lang.String str)
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### Method Detail

#### toIfx

    public byte[] toIfx()
                 throws java.sql.SQLException

Convert value to Informix network format

Overrides:
  `toIfx` in class `IfxVarChar`
Returns:
  a byte array representation of this data type in Informix network format
Throws:
  `java.sql.SQLException`

#### toIfxTuple

    public byte[] toIfxTuple()
                      throws java.sql.SQLException

Convert value to Informix tuple format

Overrides:
  `toIfxTuple` in class `IfxVarChar`
Returns:
  a byte array representation of this data type in Informix tuple format
Throws:
  `java.sql.SQLException`

#### toObject

    public java.lang.Object toObject(boolean notused)
                              throws java.sql.SQLException

Overrides:
  `toObject` in class `IfxObject`
Throws:
  `java.sql.SQLException`

#### fromIfx

    public void fromIfx(byte[] b,
               java.lang.String dbEnc)
                 throws java.sql.SQLException

Set value of this data type to the given Informix network format

Overrides:
  `fromIfx` in class `IfxVarChar`
Throws:
  `java.sql.SQLException`

#### fromIfx

    public void fromIfx(byte[] b,
               int offset,
               int length,
               java.lang.String dbEnc)
                 throws java.sql.SQLException

Set value of this data type to the given Informix network format

Overrides:
  `fromIfx` in class `IfxVarChar`
Throws:
  `java.sql.SQLException`

#### fromIfx

    public void fromIfx(byte[] b)
                 throws java.sql.SQLException

Set value of this data type to the given Informix network format

Overrides:
  `fromIfx` in class `IfxVarChar`
Throws:
  `java.sql.SQLException`

#### fromIfx

    public void fromIfx(byte[] b,
               int offset,
               int length)
                 throws java.sql.SQLException

Set value of this data type to the given Informix network format

Overrides:
  `fromIfx` in class `IfxVarChar`
Throws:
  `java.sql.SQLException`

#### fromString

    public void fromString(java.lang.String str)
                    throws java.sql.SQLException

Convert value from a String type

Overrides:
  `fromString` in class `IfxVarChar`
Parameters:
  `a` - String value
Throws:
  `java.sql.SQLException`

#### fromString

    public void fromString(java.lang.String str,
                  boolean trimString)
                    throws java.sql.SQLException

Overrides:
  `fromString` in class `IfxVarChar`
Throws:
  `java.sql.SQLException`

#### fromBytes

    public void fromBytes(byte[] str)
                   throws java.sql.SQLException

Overrides:
  `fromBytes` in class `IfxVarChar`
Throws:
  `java.sql.SQLException`

#### toBytes

    public byte[] toBytes()
                   throws java.sql.SQLException

Overrides:
  `toBytes` in class `IfxVarChar`
Throws:
  `java.sql.SQLException`